# UPB and BES

Unextended Product Basis (UPB) and Bounded Entangled States (BES)

Accessible in both `numqi.entangle` (recommended) and `numqi.entangle.upb`

::: numqi.entangle.get_upb_product
    options:
      heading_level: 2

::: numqi.entangle.load_upb
    options:
      heading_level: 2

::: numqi.entangle.upb_to_bes
    options:
      heading_level: 2

`numqi.entangle.LocalUnitaryEquivalentModel`

`numqi.entangle.BESNumEigenModel`

`numqi.entangle.BESNumEigen3qubitModel`

